import React, { useRef, useState, useEffect } from "react";
import Button from '@mui/material/Button';
import { getCookie } from 'react-use-cookie';
import { DataGrid, GridToolbar, frFR } from '@mui/x-data-grid';
import axios from "axios";
import Box from '@mui/material/Box';
import InputLabel from '@mui/material/InputLabel';
import InputAdornment from '@mui/material/InputAdornment';
import FormControl from '@mui/material/FormControl';
import TextField from '@mui/material/TextField';
import AccountCircle from '@mui/icons-material/AccountCircle';
import PhoneIcon from '@mui/icons-material/Phone'
import EmailIcon from '@mui/icons-material/Email'
import HomeIcon from '@mui/icons-material/Home'
import { useHistory } from "react-router-dom";
import OrderConfirmation from "./OrderConfirmation";
import { IoAddCircleOutline } from "react-icons/io5";
import MyPaymentMethode from "./PaymentMethode";
import img_visa_mastercard from "./../mysy_img/visa_mastercard.png"
import img_logo_stripe from "./../mysy_img/logo-stripe-secure.png";
import img_loading_spin from "./../mysy_img/mysy_spin_loading.gif";
import img_paypal from "./../mysy_img/paypal.png"
import moment from "moment";
import {
    CardElement,
    useStripe,
    useElements,
} from '@stripe/react-stripe-js';
import { Elements } from '@stripe/react-stripe-js';
import { loadStripe } from '@stripe/stripe-js';
import { PaymentElement } from '@stripe/react-stripe-js';
import Popup from 'reactjs-popup';


const stripePromise = loadStripe('pk_test_51LUUfAAbmaEugrFTI25uZBD3IFjbtaL6jUfRV83diDf7nco8worna4NGKhMHbPP71WCwT5EHFRdDNatxPrJWwgZ300kgH5EO4p');
//const stripePromise_PROD = loadStripe('pk_live_51LUUfAAbmaEugrFTyfNe4Dj0vbxc5qXQqNs0rztjAKy8oSlc5EEQyJGjA8Z5kXmP2gvUMcYLUBYCIyWWzLCw59RY00PtGInkVf');



function HebergementLms(props) {

    const [myApiResponse, setmyApiResponse] = useState("");
    const [result, setResult] = useState("");
    const [menu, setmenu] = useState("default");
    const [fields1desabled, setfields1desabled] = useState(true);
    const [periode, setperiode] = useState("Mensuel");
    const [testval, settestval] = useState();
    const [gotocheckout, setgotocheckout] = useState("0");
    const [currentpack, setcurrentpack] = useState(props.packs);
    const [periodicity, setperiodicity] = useState(props.periodicity);
    const [packprice, setpackprice] = useState(props.mypackprice);
    const [getpackproducts, setgetpackproducts] = useState();
    const scrollDiv = useRef(null);
    const [okcommande, setokcommande] = useState();
    const stripe = useStripe();
    const elements = useElements();


    // recuperation et gestion  du token utilisateur 
    const history = useHistory();
    const stored_part = getCookie('tokenmysypart');
    if (!stored_part || stored_part.length <= 0) {
        history.push("/PartnerLogin");
    }


    const [GetLms_Themes_api, setGetLms_Themes_api] = useState();
    const [GetLms_Themes_message, setGetLms_Themes_message] = useState();
    const [GetLms_Themes_result, setGetLms_Themes_result] = useState();
    function GetLms_Themes(event) {

        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_Lms_Themes/";

        axios.post(myurl, form).then(res => {

            if (String(res.data.status) === "true") {
                //console.log(" In GetLms_Themes  res.data.status = " + res.data.status);
                //console.log(" In GetLms_Themes  res.data.message r_class = " + res.data.message);
                setGetLms_Themes_api("true");
                setGetLms_Themes_result(res.data.message);
            }
            else {
                setGetLms_Themes_api("false");
                setGetLms_Themes_message(res.data.message);
            }

        }).catch((error) => {
            console.warn('Not good man :( GetLms_Themes = ', error);
            setGetLms_Themes_api("false");

        })
    }


    const [selected_lms_theme, setselected_lms_theme] = useState();


    const [urlpreview_lms_theme, seturlpreview_lms_theme] = useState();
    function handleChangeselected_lms_theme(event) {

        var val = event.target.value
        GetLms_Themes(val)
        seturlpreview_lms_theme(val);
    }


    useEffect(() => {
        GetLms_Themes();
    }, [])

    return (
        <div className="hebergementlms">


            {String(menu) === String("default") && <div>
                <h2 style={{ "textAlign": "center", "marginBottom": "2rem" }} ref={scrollDiv}> Espace de parametrage de l'environnement d'hébergement</h2>

                <br />
            </div>}


            <div className="session_caract">Choisir un modèle d'attestation :

                <select id="certif_liste" name="certif_liste" value={selected_lms_theme} onChange={handleChangeselected_lms_theme} className="selectsession">
                    <option value="">Choisir un modèle </option>
                    {GetLms_Themes_result &&
                        GetLms_Themes_result.map((lms_theme) => (
                            <option value={JSON.parse(lms_theme).template_preview_url}>
                                {JSON.parse(lms_theme).nom_template}

                            </option>
                        ))}
                </select>
              
            </div>

            <div className="session_caract">Le modèle d'attestation :

                <img className="preview_certif" src={urlpreview_lms_theme} />

            </div>

        </div>);

}

export default HebergementLms;